package com.qmth.distributed.print.business.bean.result;

import com.qmth.distributed.print.business.enums.CustomFlowMultipleUserApproveTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 流程节点result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/8/6
 */
public class FlowViewTaskResult extends FlowTaskResult implements Serializable {

    @ApiModelProperty(value = "自定义流程审核类型")
    CustomFlowMultipleUserApproveTypeEnum multipleUserApproveType;

    @ApiModelProperty(value = "流程审批人")
    private String pendApproveUsers;

    @ApiModelProperty(value = "流程已审人")
    private String approveUsers;

    @ApiModelProperty(value = "是否当前节点")
    private boolean currentTask;

    public CustomFlowMultipleUserApproveTypeEnum getMultipleUserApproveType() {
        return multipleUserApproveType;
    }

    public void setMultipleUserApproveType(CustomFlowMultipleUserApproveTypeEnum multipleUserApproveType) {
        this.multipleUserApproveType = multipleUserApproveType;
    }

    public String getPendApproveUsers() {
        return pendApproveUsers;
    }

    public void setPendApproveUsers(String pendApproveUsers) {
        this.pendApproveUsers = pendApproveUsers;
    }

    public String getApproveUsers() {
        return approveUsers;
    }

    public void setApproveUsers(String approveUsers) {
        this.approveUsers = approveUsers;
    }

    public boolean isCurrentTask() {
        return currentTask;
    }

    public void setCurrentTask(boolean currentTask) {
        this.currentTask = currentTask;
    }
}
